MKVPROPEDIT(1)

NOM
mkvpropedit - Modifica les propietats dels fitxers Matroska(TM) existents que no han completat el multiplexat

SINOPSIS

mkvpropedit [opcions] {nom_fitxer_origen} {accions}

DESCRIPCIÓ

This program analyses an existing Matroska(TM) file and modifies some of its properties. Then it writes those modifications to the existing file. Among the properties that can be changed are the segment information elements (e.g. the title) and the track headers (e.g. the language code, 'default track' flag or the name).

Opcions:

-l, --list-property-names
    Lists all known and editable property names, their type (string, integer, boolean etc) and a short description. The program exits afterwards. Therefore the source-filename parameter does not have to be supplied.

-p, --parse-mode mode
    Sets the parse mode. The parameter 'mode' can either be 'fast' (which is also the default) or 'full'. The 'fast' mode does not parse the whole file but uses the meta seek elements for locating the required elements of a source file. In 99% of all cases this is enough. But for files that do not contain meta seek elements or which are damaged the user might have to set the 'full' parse mode. A full scan of a file can take a couple of minutes while a fast scan only takes seconds.

Actions that deal with track and segment info properties:

-e, --edit selector
    Sets the Matroska(TM) file section (segment information or a certain track's headers) that all following add, set and delete actions operate on. This option can be used multiple times in order to make modifications to more than one element.

    By default mkvpropedit(1) will edit the segment information section.

    See the section about edit selectors for a full description of the syntax.

-a, --add nom=valor
    Adds a property name with the value value. The property will be added even if such a property exists already. Note that most properties are unique and cannot occur more than once.

-s, --set nom=valor
    Sets all occurrences of the property name to the value value. If no such property exists then it will be added.

-d, --delete nom
    Deletes all occurrences of the property name. Note that some properties are required and cannot be deleted.

Actions that deal with tags and chapters:

-t, --tags selector:nom_fitxer
    Add or replace tags in the file with the ones from filename or remove them if filename is empty. mkvpropedit(1) reads the same XML tag format that mkvmerge(1) reads as well.

    The selector must be one of the words all, global or track. For allmkvpropedit(1) will replace or remove all tags in a file. With global only global tags will be replaced or removed.

    With trackmkvpropedit(1) will replace tags for a specific track. Additionally the tags read from filename will be assigned to the same track. The track is specified in the same way edit selectors are specified (see below), e.g. --tags track:a1:new-audio-tags.xml.

-c, --chapters nom_fitxer
    Afegeix o substitueix els capítols al fitxer amb el nom_fitxer o elimina'l si el nom_fitxer està buit. El mkvpropedit(1) llegirà els mateixos formats de capítols simple i en XML que pugui llegir el mkvmerge(1).

Accions per a manejar els adjunts:

--add-attachment nom_fitxer
    Adds a new attachment from filename.

    If the option --attachment-name has been used prior to this option then its value is used as the new attachment's name. Otherwise it is derived from filename.

    If the option --attachment-mime-type has been used prior to this option then its value is used as the new attachment's MIME type. Otherwise it is auto-detected from the content of filename.

    If the option --attachment-description has been used prior to this option then its value is used as the new attachment's description. Otherwise no description will be set.

--replace-attachment selector:nom_fitxer
    Replaces one or more attachments that match selector with the file filename. If more than one existing attachment matches selector then all of their contents will be replaced by the content of filename.

    The selector can have one of four forms. They're exlained below in the section attachment selectors.

    If the option --attachment-name has been used prior to this option then its value is used as the replaced attachment's name. Otherwise the name is not changed.

    If the option --attachment-mime-type has been used prior to this option then its value is used as the replaced attachment's MIME type. Otherwise the MIME type is not changed.

    If the option --attachment-description has been used prior to this option then its value is used as the replaced attachment's description. Otherwise no description is not changed.

--delete-attachment selector
    Deletes one or more attachments that match selector.

    The selector can have one of four forms. They're exlained below in the section attachment selectors.

Options for attachment actions:

--attachment-name nom
    Sets the name to use for the following --add-attachment or --replace-attachment operation.

--attachment-mime-type tipus_MIME
    Sets the MIME type to use for the following --add-attachment or --replace-attachment operation.

--attachment-description descripció
    Sets the description to use for the following --add-attachment or --replace-attachment operation.

Altres opcions:

--command-line-charset joc_de_caràcters
    Estableix el joc de caràcters al qual convertir les cadenes donades des de la línia d'ordres. Per omissió serà el joc de caràcters donat per la configuració regional actual del sistema.

--output-charset joc_de_caràcters
    Estableix el joc de caràcters al qual convertir les cadenes donades per la sortida. Per omissió serà el joc de caràcters establert a la configuració regional actual del sistema.

-r, --redirect-output nom_fitxer
    Escriu tots els missatges al fitxer nom_fitxer en lloc de a la consola. Si bé això es pot fer fàcilment amb la redirecció de la sortida, hi ha casos en què cal aquesta opció: quan el terminal reinterpreta la sortida abans d'escriure-la a un fitxer. Es respecta el joc de caràcters establert amb --output-charset.

--ui-language codi
    Força l'ús de les traduccions pel codi d'idioma (p. ex., «de_DE» per a les traduccions en alemany). Tot i que és preferible usar les variables d'entorn LANG, LC_MESSAGES i LC_ALL. Introduint «list» com a codi farà que el mkvextract(1) ofereixi a la sortida, una llista de les traduccions disponibles.

--debug tema
    Activa la depuració per a una característica específica. Aquesta opció només és útil per als desenvolupadors.

--engage característica
    Activa les característiques experimentals. Es pot sol⋅licitar una llista de les característiques disponibles amb mkvpropedit --engage list. Aquestes característiques no estan destinades a ser emprades en situacions normals.

--gui-mode
    Activa el mode IGU. En aquest mode, les línies surten amb un format especial que pot explicar-vos el que està succeint per tal de controlar la IGU. Aquests missatges segueixen el format «#GUI#message». El missatge pot estar seguit per parells clau/valor com a «#GUI#message#key1=value1#key2=value2...». Ni els missatges ni les claus seran traduïts, sempre sortiran en anglès.

-v, --verbose
    Serà detallat i mostrarà tots els elements importants del Matroska(TM) a mesura que es llegeixin.

-h, --help
    Mostra la informació d'ús i surt.

-V, --version
    Mostra la informació sobre la versió i surt..

--check-for-updates
    Comprova en línia si hi ha nous llançaments per baixar-los des de l'URL http://mkvtoolnix-releases.bunkus.org/latest-release.xml. Es generaran quatre línies amb l'estil key=valor: l'URL des d'on s'ha obtingut la informació (clau version_check_url), la versió actualment en execució (clau running_version), la versió de l'últim llançament (clau available_version) i l'URL per a la baixada (clau download_url).

    Després el programa sortirà amb un codi de sortida de 0 si no hi ha cap llançament més recent disponible, amb 1 si hi ha disponible una nova versió i amb 2 si s'ha produït un error (p. ex., si no s'ha pogut recuperar la informació sobre l'actualització).

    Aquesta opció només estarà disponible si el programa va ser construït amb la implementació per a «libcurl».

@fitxer_opcions
    Llegeix arguments addicionals per a la línia d'ordres des del fitxer fitxer_opcions. Les línies que tinguin com a primer caràcter un coixinet (#) seran tractades com a comentaris i ignorades. Els espais en blanc al començament i final de la línia seran descartats. Cada línia haurà de contenir exactament una opció.

    Es poden interpretar diversos caràcters com d'escapament, p. ex., si necessiteu que una línia que comença amb un coixinet «#», no sigui interpretada com un comentari. Les regles es descriuen a la secció sobre text d'escapament.

    La línia d'ordres «mkvpropedit origen.mkv --edit track:a2 --set name=Comentaris» es pot convertir en el següent fitxer d'opcions:

        # Modifica origen.mkv
        origen.mkv
        # Edita la segona pista d'àudio
        --edit
        track:a2
        # i estableix el títol a «Comentaris»
        --set
        name=Comentaris

EDITAR ELS SELECTORS

The --edit option sets the Matroska(TM) file section (segment information or a certain track's headers) that all following add, set and delete actions operate on. This stays valid until the next --edit option is found. The argument to this option is called the edit selector.

By default mkvpropedit(1) will edit the segment information section.

  Informació del segment

The segment information can be selected with one of these three words: 'info', 'segment_info' or 'segmentinfo'. It contains properties like the segment title or the segment UID.

  Capçaleres de la pista

Track headers can be selected with a slightly more complex selector. All variations start with 'track:'. The track header properties include elements like the language code, 'default track' flag or the track's name.

track:n
    If the parameter n is a number then the nth track will be selected. The track order is the same that mkvmerge(1)'s --identify option outputs.

    La numeració comença per l'1.

track:tn
    If the parameter starts with a single character t followed by a n then the nth track of a specific track type will be selected. The track type parameter t must be one of these four characters: 'a' for an audio track, 'b' for a button track, 's' for a subtitle track and 'v' for a video track. The track order is the same that mkvmerge(1)'s --identify option outputs.

    La numeració comença per l'1.

track:=UID
    If the parameter starts with a '=' followed by a number uid then the track whose track UID element equals this uid. Track UIDs can be obtained with mkvinfo(1).

track:@número
    If the parameter starts with a '@' followed by a number number then the track whose track number element equals this number. Track number can be obtained with mkvinfo(1).

  Notes

Due to the nature of the track edit selectors it is possible that several selectors actually match the same track headers. In such cases all actions for those edit selectors will be combined and executed in the order in which they're given on the command line.

SELECTORS DE L'ADJUNT

An attachment selector is used with the two actions --replace-attachment and --delete-attachment. It can have one of the following four forms:

    1. Selection by attachment ID. In this form the selector is simply a number, the attachment's ID as output by mkvmerge(1)'s identification command.

    2. Selection by attachment UID (unique ID). In this form the selector is the equal sign = followed by a number, the attachment's unique ID as output by mkvmerge(1)'s verbose identification command.

    3. Selection by attachment name. In this form the selector is the literal word name: followed by the existing attachment's name. If this selector is used with --replace-attachment then colons within the name to match must be escaped as \c.

    4. Selection by MIME type. In this form the selector is the literal word mime-type: followed by the existing attachment's MIME type. If this selector is used with --replace-attachment then colons within the MIME type to match must be escaped as \c.

EXEMPLES

The following example edits a file called 'movie.mkv'. It sets the segment title and modifies the language code of an audio and a subtitle track. Note that this example can be shortened by leaving out the first --edit option because editing the segment information element is the default for all options found before the first --edit option anyway.

    $ mkvpropedit movie.mkv --edit info --set "title=The movie" --edit track:a1 --set language=fre --edit track:a2 --set language=ita

The second example removes the 'default track flag' from the first subtitle track and sets it for the second one. Note that mkvpropedit(1), unlike mkvmerge(1), does not set the 'default track flag' of other tracks to '0' if it is set to '1' for a different track automatically.

    $ mkvpropedit movie.mkv --edit track:s1 --set flag-default=0 --edit track:s2 --set flag-default=1

Replacing the tags for the second subtitle track in a file looks like this:

    $ mkvpropedit movie.mkv --tags track:s2:new-subtitle-tags.xml

Removing all tags requires leaving out the file name:

    $ mkvpropedit movie.mkv --tags all:

Replacing the chapters in a file looks like this:

    $ mkvpropedit movie.mkv --chapters new-chapters.xml

Removing all chapters requires leaving out the file name:

    $ mkvpropedit movie.mkv --chapters ''

Adding a font file (Arial.ttf) as an attachment:

    $ mkvpropedit movie.mkv --add-attachment Arial.ttf

Adding a font file (89719823.ttf) as an attachment and providing some information as it really is just Arial:

    $ mkvpropedit movie.mkv --attachment-name Arial.ttf --attachment-description 'The Arial font as a TrueType font' --attachment-mime-type application/x-truetype-font --add-attachment 89719823.ttf

Replacing one attached font (Comit.ttf) file with another one (Arial.ttf):

    $ mkvpropedit movie.mkv --attachment-name Arial.ttf --attachment-description 'The Arial font as a TrueType font' --replace-attachment name:Comic.ttf:Arial.ttf

Deleting the second attached file, whatever it may be:

    $ mkvpropedit movie.mkv --delete-attachment 2

Deleting all attached fonts by MIME type:

    $ mkvpropedit movie.mkv --delete-attachment mime-type:application/x-truetype-font

CODIS DE SORTIDA

El mkvpropedit(1) sortirà amb un d'aquests tres codis de sortida:

    • 0 -- This exit codes means that the modification has completed successfully.

    • 1 -- In this case mkvpropedit(1) has output at least one warning, but the modification did continue. A warning is prefixed with the text 'Warning:'. Depending on the issues involved the resulting files might be ok or not. The user is urged to check both the warning and the resulting files.

    • 2 -- This exit code is used after an error occurred. mkvpropedit(1) aborts right after outputting the error message. Error messages range from wrong command line arguments over read/write errors to broken files.

CONVERSIÓ PER A FITXERS DE TEXT I JOCS DE CARÀCTERS

Per a un debat en profunditat sobre com manipula la suite MKVToolNix les conversions dels jocs de caràcters, codifica l'entrada/sortida i codifica la línia d'ordres i codifica a la consola, si us plau, vegeu la secció anomenada de la mateixa manera a la pàgina man del mkvmerge(1).

CARÀCTERS ESPECIALS D'ESCAPADA EN EL TEXT

Hi ha pocs llocs en els quals els caràcters especials en el text puguin o hagin de ser escapats. Les regles de l'escapament són simples: cada caràcter que necessiti ser escapat serà substituït amb una barra invertida seguida d'un altre caràcter.

Les regles són: « » (un espai) serà «\s», «"» (cometes) serà «\2», «:» serà «\c», «#» serà «\h» i «\» (una única barra invertida) serà «\\».

VARIABLES D'ENTORN

mkvpropedit(1) uses the default variables that determine the system's locale (e.g. LANG and the LC_* family). Additional variables:

MKVPROPEDIT_DEBUG, MKVTOOLNIX_DEBUG and its short form MTX_DEBUG
    The content is treated as if it had been passed via the --debug option.

MKVPROPEDIT_ENGAGE, MKVTOOLNIX_ENGAGE and its short form MTX_ENGAGE
    The content is treated as if it had been passed via the --engage option.

MKVPROPEDIT_OPTIONS, MKVTOOLNIX_OPTIONS and its short form MTX_OPTIONS
    The content is split on white space. The resulting partial strings are treated as if it had been passed as command line options. If you need to pass special characters (e.g. spaces) then you have to escape them (see the section about escaping special characters in text).

VEGEU TAMBÉ

mkvmerge(1), mkvinfo(1), mkvextract(1), mkvtoolnix-gui(1)

WWW

Sempre trobareu l'última versió a la pàgina del MKVToolNix[1].

AUTOR

Bunkus, Moritz <moritz@bunkus.org>
    Desenvolupador

NOTES

1.  la pàgina del MKVToolNix
    https://www.bunkus.org/videotools/mkvtoolnix/